### Method

# FwupdPlugin Context set_data

#### Declaration [src]

    void
    fu_context_set_data (
      FuContext* self,
      const gchar* key,
      gpointer data
    )

#### Description

No description available.

#### Parameters

`key` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.